package com.brandmaker.exp.arquillian.jbossas4.weld;

import javax.inject.Inject;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.jboss.shrinkwrap.resolver.api.DependencyResolvers;
import org.jboss.shrinkwrap.resolver.api.maven.MavenDependencyResolver;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class WeldTest
{
	@Deployment
	public static WebArchive createDeployment()
	{
		return ShrinkWrap.create(WebArchive.class)
				.addAsLibraries(DependencyResolvers
						.use(MavenDependencyResolver.class)
						.includeDependenciesFromPom("src/test/resources/dependencies.xml")
						.resolveAsFiles())
				.addAsManifestResource("test-context.xml", "context.xml")
				.addAsResource("log4j.properties")
				.addAsWebInfResource(EmptyAsset.INSTANCE, "beans.xml")
				.addClass(TestBean.class)
				.setWebXML("test-web.xml");
	}

	@Inject
	private TestBean test;

	@Test
	public void test()
	{
		test.method();
	}
}
